如何编译/安装node.js(不能configurationcxx编译器!)(Ubuntu)。

如何在Ubuntu编译/安装node.js? 它关于cxx compiler的错误失败。

Solutions Collecting From Web of "如何编译/安装node.js(不能configurationcxx编译器!)(Ubuntu)。"

单线程来安装所有需要的依赖项(curl和git并不是真的需要,但是如果你通过nvm安装的话,它也是非常有用的,也是必须的)。

 sudo apt-get install build-essential libssl-dev curl git-core 

最后两个依赖关系并不总是需要的,但是无论如何安装它们都是非常有用的,你可能以后需要它。

只安装cxx编译器

 sudo apt-get install build-essential 

如果openssl丢失

 sudo apt-get install libssl-dev 

如果像我一样,您正尝试在运行Amazon Linux AMI的AWS实例(它看起来是CentOS的削减版本)上安装它:

安装基础工具:

yum groupinstall "Development Tools"

现在安装openssl-devel:

yum install openssl-devel

节点现在应该编译好了。

如果你像我这样在Win7上尝试这个,运行:

 ash.exe $ /bin/rebaseall 

…做的伎俩。

祝你好运!

如果您发现自己在Mac OSX上发生此错误,则需要安装XCode。

https://developer.apple.com/

我需要在Cent OS上运行yum install gcc-c++

对于Node.js v6:

 curl -sL https://deb.nodesource.com/setup_6.x | sudo -E bash - sudo apt-get install -y nodejs 

对于Node.js v7:

 curl -sL https://deb.nodesource.com/setup_7.x | sudo -E bash - sudo apt-get install -y nodejs 

可选:安装构建工具要从npm编译和安装本地插件,您可能还需要安装构建工具:

 sudo apt-get install -y build-essential 

获得最新的NPM包后,如果您需要:

 npn update -g 

部分来源在这里。